Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::detail::projected_readable< I, Proj > Struct Template Reference
Concepts

## Public Types
using | reference = concepts::Callable::result_t< Proj, concepts::Readable::reference_t< I >>
using | value_type = decay_t< concepts::Callable::result_t< Proj, concepts::Readable::value_t< I >>>

## Public Member Functions
reference | operator* () const